org.richfaces.fragment.accordion

## Class RichFacesAccordion

- java.lang.Object
- - org.richfaces.fragment.switchable.AbstractSwitchableComponent<RichFacesAccordionItem>
  - - org.richfaces.fragment.accordion.RichFacesAccordion

- All Implemented Interfaces:
    Accordion, AdvancedInteractions<AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions>, AdvancedVisibleComponentIteractions<AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions>, SwitchableComponent<RichFacesAccordionItem>

      public class RichFacesAccordion
      extends AbstractSwitchableComponent<RichFacesAccordionItem>
      implements Accordion

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesAccordion.AdvancedAccordionInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.switchable.AbstractSwitchableComponent

      `AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesAccordion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesAccordion.AdvancedAccordionInteractions` | `advanced()`
    `int` | `getNumberOfAccordionItems()` Gets the number of the particular accordion parts.

    - ### Methods inherited from class org.richfaces.fragment.switchable.AbstractSwitchableComponent

      `switchTo, switchTo, switchTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.switchable.SwitchableComponent

      `switchTo, switchTo, switchTo`

- - ### Constructor Detail

    - #### RichFacesAccordion

          public RichFacesAccordion()

  - ### Method Detail

    - #### advanced

          public RichFacesAccordion.AdvancedAccordionInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions>`

    - #### getNumberOfAccordionItems

          public int getNumberOfAccordionItems()

      Description copied from interface: `Accordion`
      Gets the number of the particular accordion parts.
      Specified by:
        `getNumberOfAccordionItems` in interface `Accordion`
      Returns:
        number of the accordion panels, parts which can be switched among

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.